Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453348 - kernel oops when using lirc
Summary: kernel oops when using lirc
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jarod Wilson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-30 01:18 UTC by Scott Dodson
Modified: 2008-08-21 13:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-21 13:38:35 UTC


Attachments (Terms of Use)

Description Scott Dodson 2008-06-30 01:18:28 UTC
Description of problem:
I get the following oops when using my IR remote. The changelog notes that there
was an lirc_i2c oops fixed in 2.6.25.7-32 however I seem to still have problems.

Version-Release number of selected component (if applicable):
lirc-0.8.2-2.fc8
2.6.25.9-40.fc8 #1 SMP Fri Jun 27 16:25:53 EDT 2008 i686 i686 i386 GNU/Linux
Smolt profile :
http://www.smolts.org/client/show/pub_59271a32-0161-40ed-92c7-242f64ae0240

How reproducible:
Every time

Steps to Reproduce:
1. service lirc start
2. irw
  
Actual results:
kernel oops and lircd crashes

Expected results:
Working IR remote

Additional info:
BUG: unable to handle kernel paging request at 52492071
IP: [<c047f5f8>] do_sys_open+0x61/0xb7
*pde = 00000000
Oops: 0000 [#4] SMP
Modules linked in: iptable_filter ip_tables x_tables via drm autofs4 vt1211
hwmon_vid hwmon sunrpc ipv6 loop cx8800 cx88xx bttv ir_common compat_ioctl32
videobuf_dma_sg videobuf_core btcx_risc lirc_i2c lirc_dev snd_usb_audio
snd_usb_lib snd_hwdep snd_via82xx msp3400 gameport saa7115 snd_ac97_codec tuner
ac97_bus snd_seq_dummy tea5767 tda8290 tda18271 arc4 tda827x tuner_xc2028 ecb
xc5000 crypto_blkcipher tda9887 snd_seq_oss tuner_simple parport_pc
snd_seq_midi_event mt20xx parport snd_seq tea5761 snd_pcm_oss snd_mixer_oss ivtv
snd_pcm floppy i2c_algo_bit rt73usb cx2341x snd_timer rt2x00usb rt2x00lib
v4l2_common snd_page_alloc rfkill i2c_viapro videodev snd_mpu401_uart
snd_rawmidi v4l1_compat input_polldev tveeprom snd_seq_device button via_ircc
mac80211 i2c_core via_rhine snd pcspkr irda firewire_ohci mii cfg80211 soundcore
crc_ccitt firewire_core crc_itu_t sg dm_snapshot dm_zero dm_mirror dm_mod
ata_generic pata_via pata_acpi libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd
ohci_hcd ehci_hcd [last unloaded: scsi_wait_scan]

Pid: 5452, comm: lircd Tainted: G      D  (2.6.25.9-40.fc8 #1)
EIP: 0060:[<c047f5f8>] EFLAGS: 00210287 CPU: 0
EIP is at do_sys_open+0x61/0xb7
EAX: 52492065 EBX: 40000020 ECX: bf9e8534 EDX: c0483138
ESI: ffffff9c EDI: dd8a6c60 EBP: ce388f98 ESP: ce388f84
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process lircd (pid: 5452, ti=ce388000 task=c37ba000 task.ti=ce388000)
Stack: ce14f000 00000007 bf9e8534 00000002 08066d54 ce388fb0 c047f690 bf9e8534
       08066d54 00000000 00000002 ce388000 c0405b7e 08066d54 00000002 bf9e8534
       00000000 00000002 bf9e8608 ffffffda 0000007b 0000007b 00000000 00000005
Call Trace:
 [<c047f690>] ? sys_open+0x1e/0x26
 [<c0405b7e>] ? syscall_call+0x7/0xb
 =======================
Code: 89 d9 8b 55 ec 89 f0 e8 89 ff ff ff 59 3d 00 f0 ff ff 89 c7 76 0d 8b 45 f0
e8 ff fb ff ff 89 7d f0 eb 4b 8b 40 0c bb 20 00 00 40 <8b> 70 0c 0f b7 56 72 ff
70 24 81 e2 00 f0 00 00 81 fa 00 40 00
EIP: [<c047f5f8>] do_sys_open+0x61/0xb7 SS:ESP 0068:ce388f84
---[ end trace f49f398818e55652 ]---

Comment 1 Jarod Wilson 2008-07-03 15:23:20 UTC
Crap. I'll have to double-check, perhaps I stupidly didn't actually port the change over to the F8 kernel 
branch...

Comment 2 Jarod Wilson 2008-07-10 03:56:00 UTC
Yep, the updated patch in F9 never actually made it into the F8 branch. Just
committed the changes in kernel 2.6.25.9-50.fc8 though.

Comment 3 Scott Dodson 2008-07-12 16:31:21 UTC
Thanks, I picked up 2.6.25.10-53.fc8 and everything is working now.

Comment 4 Fedora Update System 2008-07-21 13:58:01 UTC
kernel-2.6.25.11-60.fc8 has been submitted as an update for Fedora 8

Comment 5 Fedora Update System 2008-07-23 07:10:08 UTC
kernel-2.6.25.11-60.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6613


Note You need to log in before you can comment on or make changes to this bug.